Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.DocViewerPrefs Class Reference

## Public Member Functions
| constructor (document, pdf_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get PDF dictionary from current object. More...
| GetNonFullScreenPageMode ()
| Get display mode which specifies how to display the document on exiting full-screen mode when document's display mode is full-screen. More...
| GetPrintArea ()
| Get the page boundary representing the area of a page to be rendered when printing the document. More...
| GetPrintClip ()
| Get the page boundary to which the contents of a page are to be clipped when printing the document. More...
| GetPrintCopies ()
| Get the number of copies to be printed when the print dialog is opened for PDF document. More...
| GetPrintRange ()
| Get page range information which is used to initialize the print dialog when the print dialog is opened for the PDF document. More...
| GetPrintScale ()
| Get page scaling option to be selected when a print dialog is displayed for PDF document. More...
| GetReadingDirection ()
| Get the predominant reading direction for text. More...
| GetUIDisplayStatus (pref)
| Get UI display status of a specified viewer preference item type. More...
| GetViewArea ()
| Get the page boundary representing the area of a page to be displayed when viewing the document on the screen. More...
| GetViewClip ()
| Get the page boundary to which the contents of a page are to be clipped when viewing the document on the screen. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetNonFullScreenPageMode (display_mode)
| Set display mode which specifies how to display the document on exiting full-screen mode when document's display mode is full-screen. More...
| SetPrintArea (box_type)
| Set the page boundary representing the area of a page to be rendered when printing the document. More...
| SetPrintClip (box_type)
| Set the page boundary to which the contents of a page are to be clipped when printing the document. More...
| SetPrintCopies (print_copies)
| Set the number of copies to be printed when the print dialog is opened for PDF document. More...
| SetPrintRange (page_range)
| Set the page range which is used to initialize the print dialog when the print dialog is opened for the PDF document. More...
| SetPrintScale (print_scale)
| Set page scaling option to be selected when a print dialog is displayed for PDF document. More...
| SetReadingDirection (is_left_to_right)
| Set the predominant reading direction for text. More...
| SetUIDisplayStatus (pref, value)
| Set UI display status of a specified viewer preference item type. More...
| SetViewArea (box_type)
| Set the page boundary representing the area of a page to be displayed when viewing the document on the screen. More...
| SetViewClip (box_type)
| Set the page boundary to which the contents of a page are to be clipped when viewing the document on the screen. More...

## Static Public Attributes
static | e_CenterWindow
| A flag specifying whether to position the document's window in the center of the screen.
static | e_DisplayDocTitle
| A flag specifying whether the window's title bar should display the document title taken from the "Title" entry of the document information dictionary. If false, the title bar should instead display the name of the PDF file containing the document.
static | e_FitWindow
| A flag specifying whether to resize the document's window to fit the size of the first displayed page.
static | e_HideMenubar
| A flag specifying whether to hide the viewer application's menu bar when the document is active.
static | e_HideToolbar
| Enumeration for how various GUI elements should behave when the document is opened. More...
static | e_HideWindowUI
| A flag specifying whether to hide user interface elements in the document's window (such as scroll bars and navigation controls), leaving only the document's contents displayed.
static | e_PrintScaleAppDefault
| This means applications should use the current print scaling.
static | e_PrintScaleNone
| Enumeration for page scaling option. More...

## Detailed Description

Viewer preferences defines the way that a document is to be presented on the screen or in print. This class should be constructed by a valid PDF document object. This class offers functions to get/set different part of a PDF document's viewer preferences, such as UI visibility, display mode for non full-screen mode, reading direction, the type of box item for specified purpose, some preference options used for print and so on.

See also
  FSDK.PDFDoc

## Member Function Documentation

## ◆ constructor()

FSDK.DocViewerPrefs.constructor | ( | document | ,
|  | pdf_dict |
| ) |  |

Constructor, with parameters.

When input parameter pdf_dict is null, Foxit PDF SDK will try to access viewer preferences information in the specified PDF document: if there exists viewer preferences information in the PDF document, this function is just to construct a document viewer preferences object to be associated with these information; if there is no such information in the specified PDF document, the constructed document viewer preferences object can be used to set these information to PDF document.

Parameters

  [in] | document | A valid PDF document object.
  [in] | pdf_dict | A PDF dictionary which represents PDF document viewer preferences information. If this parameter is not null, this PDF dictionary should have existed in the specified PDF document. If this parameter is null, that means to access access viewer preferences information in the specified PDF document. Please refer to "Details" part for more details. Default value: null.

## ◆ GetDict()

FSDK.DocViewerPrefs.GetDict | ( |  | ) |

Get PDF dictionary from current object.

Returns
  The PDF dictionary. If there is any error, this function will return null.

## ◆ GetNonFullScreenPageMode()

FSDK.DocViewerPrefs.GetNonFullScreenPageMode | ( |  | ) |

Get display mode which specifies how to display the document on exiting full-screen mode when document's display mode is full-screen.

This display mode is only useful when document's display mode is full-screen. Function FSDK.PDFDoc.GetDisplayMode can be used to check document's displaying mode.

Returns
  Value of non full-screen mode. It would be one of following values:
  - FSDK.PDFDoc.e_DisplayUseNone
  - FSDK.PDFDoc.e_DisplayUseOutlines
  - FSDK.PDFDoc.e_DisplayUseThumbs
  - FSDK.PDFDoc.e_DisplayUseOC

## ◆ GetPrintArea()

FSDK.DocViewerPrefs.GetPrintArea | ( |  | ) |

Get the page boundary representing the area of a page to be rendered when printing the document.

Returns
  The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this would be one of these values.

## ◆ GetPrintClip()

FSDK.DocViewerPrefs.GetPrintClip | ( |  | ) |

Get the page boundary to which the contents of a page are to be clipped when printing the document.

Returns
  The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this would be one of these values.

## ◆ GetPrintCopies()

FSDK.DocViewerPrefs.GetPrintCopies | ( |  | ) |

Get the number of copies to be printed when the print dialog is opened for PDF document.

Returns
  The number of copies.

## ◆ GetPrintRange()

FSDK.DocViewerPrefs.GetPrintRange | ( |  | ) |

Get page range information which is used to initialize the print dialog when the print dialog is opened for the PDF document.

All the indexes specified in the page range is from 0 to (pagecount - 1). If page range information is invalid, this function will throw exception FSDK.e_ErrFormat.

Returns
  Page range.

## ◆ GetPrintScale()

FSDK.DocViewerPrefs.GetPrintScale | ( |  | ) |

Get page scaling option to be selected when a print dialog is displayed for PDF document.

Returns
  Page scaling option string value. Please refer to values starting from FSDK.DocViewerPrefs.e_PrintScaleNone and this would be one of these values.

## ◆ GetReadingDirection()

FSDK.DocViewerPrefs.GetReadingDirection | ( |  | ) |

Get the predominant reading direction for text.

The reading direction information has no direct effect on the document's contents or page numbering but can be used to determine the relative positioning of pages when displayed side by side or printed n-up (that is, multiple PDF pages are printed on a single page).

Returns
  true means left-to-right reading order, while false means right-to-left reading order.

## ◆ GetUIDisplayStatus()

FSDK.DocViewerPrefs.GetUIDisplayStatus | ( | pref |  | ) |

Get UI display status of a specified viewer preference item type.

Parameters

  [in] | pref | A viewer preference item type. Please refer to values starting from FSDK.DocViewerPrefs.e_HideToolbar and this should be one of these values.

Returns
  The value of the specified viewer preference item type.

## ◆ GetViewArea()

FSDK.DocViewerPrefs.GetViewArea | ( |  | ) |

Get the page boundary representing the area of a page to be displayed when viewing the document on the screen.

Returns
  The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this would be one of these values.

## ◆ GetViewClip()

FSDK.DocViewerPrefs.GetViewClip | ( |  | ) |

Get the page boundary to which the contents of a page are to be clipped when viewing the document on the screen.

Returns
  The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this would be one of these values.

## ◆ IsEmpty()

FSDK.DocViewerPrefs.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetNonFullScreenPageMode()

FSDK.DocViewerPrefs.SetNonFullScreenPageMode | ( | display_mode |  | ) |

Set display mode which specifies how to display the document on exiting full-screen mode when document's display mode is full-screen.

This display mode is only useful when document's display mode is full-screen. Function FSDK.PDFDoc.GetDisplayMode can be used to document's displaying mode.

Parameters

  [in] | display_mode | New display mode when exiting full-screen mode. It should be one of following values: FSDK.PDFDoc.e_DisplayUseNone FSDK.PDFDoc.e_DisplayUseOutlines FSDK.PDFDoc.e_DisplayUseThumbs FSDK.PDFDoc.e_DisplayUseOC

Returns
  None.

## ◆ SetPrintArea()

FSDK.DocViewerPrefs.SetPrintArea | ( | box_type |  | ) |

Set the page boundary representing the area of a page to be rendered when printing the document.

Parameters

  [in] | box_type | The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this should be one of these values.

Returns
  None.

## ◆ SetPrintClip()

FSDK.DocViewerPrefs.SetPrintClip | ( | box_type |  | ) |

Set the page boundary to which the contents of a page are to be clipped when printing the document.

Parameters

  [in] | box_type | The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this should be one of these values.

Returns
  None.

## ◆ SetPrintCopies()

FSDK.DocViewerPrefs.SetPrintCopies | ( | print_copies |  | ) |

Set the number of copies to be printed when the print dialog is opened for PDF document.

Parameters

  [in] | print_copies | New integer value for number of copies. Valid range: from 1 to 5. If input value is outside the valid range, Foxit PDF SDK will use 1 by default.

Returns
  None.

## ◆ SetPrintRange()

FSDK.DocViewerPrefs.SetPrintRange | ( | page_range |  | ) |

Set the page range which is used to initialize the print dialog when the print dialog is opened for the PDF document.

Parameters

  [in] | page_range | A range object that represents the new page range information. It should contain at least one valid range segment. All the indexes specified by this range should be from 0 to (pagecount - 1). pagecount is returned by function FSDK.PDFDoc.GetPageCount.

Returns
  None.

## ◆ SetPrintScale()

FSDK.DocViewerPrefs.SetPrintScale | ( | print_scale |  | ) |

Set page scaling option to be selected when a print dialog is displayed for PDF document.

Parameters

  [in] | print_scale | New page scaling option string. Please refer to values starting from FSDK.DocViewerPrefs.e_PrintScaleNone and this should be one of these values.

Returns
  None.

## ◆ SetReadingDirection()

FSDK.DocViewerPrefs.SetReadingDirection | ( | is_left_to_right |  | ) |

Set the predominant reading direction for text.

The reading direction information has no direct effect on the document's contents or page numbering but can be used to determine the relative positioning of pages when displayed side by side or printed n-up (that is, multiple PDF pages are printed on a single page).

Parameters

  [in] | is_left_to_right | The new reading direction: true means left-to-right reading order, while false means right-to-left reading order.

Returns
  None.

## ◆ SetUIDisplayStatus()

FSDK.DocViewerPrefs.SetUIDisplayStatus | ( | pref | ,
|  | value |
| ) |  |

Set UI display status of a specified viewer preference item type.

If the viewer preference item type does not existed before and has never been set, the value would be false by default.

Parameters

  [in] | pref | A viewer preference item type. Please refer to values starting from FSDK.DocViewerPrefs.e_HideToolbar and this should be one of these values.
  [in] | value | The new value for the specified viewer preference item type.

Returns
  None.

## ◆ SetViewArea()

FSDK.DocViewerPrefs.SetViewArea | ( | box_type |  | ) |

Set the page boundary representing the area of a page to be displayed when viewing the document on the screen.

Parameters

  [in] | box_type | The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this should be one of these values.

Returns
  None.

## ◆ SetViewClip()

FSDK.DocViewerPrefs.SetViewClip | ( | box_type |  | ) |

Set the page boundary to which the contents of a page are to be clipped when viewing the document on the screen.

Parameters

  [in] | box_type | The page box type. Please refer to values starting from FSDK.PDFPage.e_MediaBox and this should be one of these values.

Returns
  None.

## Member Data Documentation

## ◆ e_HideToolbar

FSDK.DocViewerPrefs.e_HideToolbar
| static

Enumeration for how various GUI elements should behave when the document is opened.

Values of this enumeration should be used alone.

A flag specifying whether to hide the viewer application's tool bars when the document is active.

## ◆ e_PrintScaleNone

FSDK.DocViewerPrefs.e_PrintScaleNone
| static

Enumeration for page scaling option.

Values of this enumeration should be used alone.

This means the print dialog should reflect no page scaling.